Bug 138089 - missing return statement
missing return statement
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-04 11:11 EST by David Binderman
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-28 16:44:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2004-11-04 11:11:55 EST
Description of problem:

I just tried to compile package rpm-4.3.2-8 from 
Redhat Fedora Core 3 Test 3.

The compiler said

local/linit.c(7): warning #1011: missing return statement at end of
non-void function "luaopen_init"

The source code is

LUA_API int luaopen_init(lua_State *L)
{
#include "linit.lch"
}

Suggest add return statement at the end of the routine.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Paul Nasrat 2005-11-28 16:44:45 EST
Rawhide rpm's lua:

LUA_API int luaopen_init(lua_State *L)
{
#include "linit.lch"
    return 0;
}

Note You need to log in before you can comment on or make changes to this bug.